# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion Class Reference

Representation of STEP entity FeaTangentialCoefficientOfLinearThermalExpansion
.

`#include <StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion.hxx>`

Inheritance diagram for StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const StepFEA_SymmetricTensor23d &aFeaConstants)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_SymmetricTensor23d | FeaConstants () const
| Returns field FeaConstants .
Standard_EXPORT void | SetFeaConstants (const StepFEA_SymmetricTensor23d &FeaConstants)
| Set field FeaConstants .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepFEA_SymmetricTensor23d | theFeaConstants

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion::StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepFEA_SymmetricTensor23d StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion::FeaConstants | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaMaterialPropertyRepresentationItem.

Standard_EXPORT void StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const StepFEA_SymmetricTensor23d & | aFeaConstants
| ) |

Standard_EXPORT void StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion::SetFeaConstants | ( | const StepFEA_SymmetricTensor23d & | FeaConstants | ) |

## Field Documentation

StepFEA_SymmetricTensor23d StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion::theFeaConstants `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion.hxx